cURL
curl --request GET \
--url https://api.jup.ag/prediction/v1/leaderboards \
--header 'x-api-key: <api-key>'{
"data": [
{
"ownerPubkey": "<string>",
"realizedPnlUsd": "<string>",
"totalVolumeUsd": "<string>",
"predictionsCount": 123,
"correctPredictions": 123,
"wrongPredictions": 123,
"winRatePct": "<string>",
"period": "<string>",
"periodStart": "<string>",
"periodEnd": "<string>"
}
],
"summary": {
"all_time": {
"totalVolumeUsd": "<string>",
"predictionsCount": 123
},
"weekly": {
"totalVolumeUsd": "<string>",
"predictionsCount": 123
},
"monthly": {
"totalVolumeUsd": "<string>",
"predictionsCount": 123
}
}
}Profile & Social
Get Leaderboards
Get leaderboard rankings by various metrics
GET
/
leaderboards
cURL
curl --request GET \
--url https://api.jup.ag/prediction/v1/leaderboards \
--header 'x-api-key: <api-key>'{
"data": [
{
"ownerPubkey": "<string>",
"realizedPnlUsd": "<string>",
"totalVolumeUsd": "<string>",
"predictionsCount": 123,
"correctPredictions": 123,
"wrongPredictions": 123,
"winRatePct": "<string>",
"period": "<string>",
"periodStart": "<string>",
"periodEnd": "<string>"
}
],
"summary": {
"all_time": {
"totalVolumeUsd": "<string>",
"predictionsCount": 123
},
"weekly": {
"totalVolumeUsd": "<string>",
"predictionsCount": 123
},
"monthly": {
"totalVolumeUsd": "<string>",
"predictionsCount": 123
}
}
}Documentation Index
Fetch the complete documentation index at: https://dev.jup.ag/docs/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Get API key via https://developers.jup.ag/portal
Query Parameters
Available options:
all_time, weekly, monthly Required range:
1 <= x <= 100Available options:
pnl, volume, win_rate Was this page helpful?
⌘I
